/**
 * MainMenu 部件模型
 *
 * @export
 * @class MainMenuModel
 */
export default class MainMenuModel {

    /**
     * 菜单项集合
     *
     * @public
     * @type {any[]}
     * @memberof MainMenuModel
     */
    public items: any[] = [
        {
	id: 'C1125EB4-6681-4393-AF7C-0708AA1445A4',
	name: 'menuitem1',
	text: '工作台',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作台',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: true,
	iconcls: 'fa fa-jsfiddle',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc66',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem1',
},
        {
	id: '8C084DBA-0B30-481B-8A13-B5E6D2FD2179',
	name: 'menuitem3',
	text: '控件',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '控件',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-cube',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem3',
	items: [
		{
	id: 'B37D74B6-07B1-41BB-BCEA-7D314714B148',
	name: 'menuitem6',
	text: '默认数据类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '默认数据类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto338',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem6',
},
		{
	id: 'C78229B3-F2FB-454A-BBDA-878984BD11A9',
	name: 'menuitem7',
	text: '默认编辑器类型',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '默认编辑器类型',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto222',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem7',
},
		{
	id: '774352B3-A564-4C1C-8FBF-38D24F0F0C11',
	name: 'menuitem72',
	text: '扩展编辑器',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '扩展编辑器',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem72',
},
		{
	id: '1233BAB5-811D-402E-BC48-F6C8BB83A46D',
	name: 'menuitem65',
	text: '微服务组件',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '微服务组件',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc89',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem65',
},
		{
	id: 'B9D18DD8-C37D-4697-B15F-D8AB733F278B',
	name: 'menuitem151',
	text: '编辑器插件示例',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '编辑器插件示例',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc70',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem151',
},
	],
},
        {
	id: '3CEE3073-B6A3-439B-BCD2-2C586F9FACED',
	name: 'menuitem4',
	text: '部件',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '部件',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-cubes',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem4',
	items: [
		{
	id: 'D348DFAE-DA99-4B10-975E-11DBDD6DC038',
	name: 'menuitem112',
	text: '应用类',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '应用类',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem112',
	items: [
		{
	id: '5C052D46-FC30-4520-A7F6-0D268AEF47CB',
	name: 'menuitem186',
	text: '数据看板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据看板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc50',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem186',
},
		{
	id: '4CB72208-87D9-44A3-AE85-B1AEFEF359D8',
	name: 'menuitem129',
	text: '门户部件',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '门户部件',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc82',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem129',
},
	],
},
		{
	id: '5BA2494B-2CC1-4504-A83A-CB2B35045E23',
	name: 'menuitem156',
	text: '表单类',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表单类',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem156',
	items: [
		{
	id: 'ED183878-3B06-44F3-8841-E38F7166647A',
	name: 'menuitem12',
	text: '编辑表单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '编辑表单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem12',
	items: [
		{
	id: 'DEDB6F76-A39C-4298-8DF2-179D33D4CA72',
	name: 'menuitem15',
	text: '基础表单项',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '基础表单项',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto393',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem15',
},
		{
	id: '090B2205-AF8A-41E8-A639-59D09B1D3660',
	name: 'menuitem107',
	text: '内置功能',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '内置功能',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc31',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem107',
},
		{
	id: '93F0BAE6-4C6A-4341-AC0F-81F42117A66C',
	name: 'menuitem47',
	text: '新建默认值',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '新建默认值',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto319',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem47',
},
		{
	id: 'B5C91CB1-874F-4DEE-8F93-FD6F8B97C255',
	name: 'menuitem99',
	text: '更新默认值',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '更新默认值',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc23',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem99',
},
		{
	id: '4FE7F9A1-47EB-423D-AC25-56F485FE0369',
	name: 'menuitem48',
	text: '输入提示',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '输入提示',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto279',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem48',
},
		{
	id: 'FD32EFE3-D8D8-467D-B19A-7E5CE32FF6EB',
	name: 'menuitem49',
	text: '辅助输入',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '辅助输入',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto129',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem49',
},
		{
	id: '2768BF1F-FD52-47ED-BAEE-86CD74F2FE07',
	name: 'menuitem50',
	text: '自动填充',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自动填充',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto371',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem50',
},
		{
	id: '566E20D7-C487-4537-9800-C9E16D759C8B',
	name: 'menuitem51',
	text: '超链接',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '超链接',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto111',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem51',
},
		{
	id: '133E0595-FC29-4232-8D21-CB8A9BBB7CF0',
	name: 'menuitem52',
	text: '表单值重置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表单值重置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto106',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem52',
},
		{
	id: '4D105D29-5A09-40D9-AA7D-C43499984658',
	name: 'menuitem55',
	text: '动态显示',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '动态显示',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto155',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem55',
},
		{
	id: '710937CF-FF75-49A9-9FD4-1B3152ED20CE',
	name: 'menuitem53',
	text: '动态启用',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '动态启用',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto151',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem53',
},
		{
	id: '49AB0FC8-8288-4F42-A091-55B3DDB0E5AA',
	name: 'menuitem54',
	text: '动态空输入',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '动态空输入',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto81',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem54',
},
		{
	id: '0DFEC98B-616B-4584-97B2-37B2B35C8845',
	name: 'menuitem56',
	text: '表单项更新',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表单项更新',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto114',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem56',
},
		{
	id: '89AE80C0-F15B-4C9B-A5A6-CA88AC04577E',
	name: 'menuitem108',
	text: '表单值规则',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表单值规则',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc32',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem108',
},
	],
},
		{
	id: '526C6BBB-2EB0-45AE-A22A-F9734E5C8356',
	name: 'menuitem16',
	text: '搜索表单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '搜索表单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto173',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem16',
},
	],
},
		{
	id: '02E362B5-2FBE-4DD2-9070-DFD9AB47E646',
	name: 'menuitem157',
	text: '导航类',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '导航类',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem157',
	items: [
		{
	id: 'D6859274-B532-4623-BD1C-6E134DD83EEF',
	name: 'menuitem120',
	text: '分页导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '分页导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc42',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem120',
},
		{
	id: 'E5D2792C-18BE-4F18-AD63-99E5AC1A3267',
	name: 'menuitem128',
	text: '表格导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表格导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc46',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem128',
},
		{
	id: 'FA4D2408-38E8-432F-8C22-CEE0F775436A',
	name: 'menuitem114',
	text: '列表导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '列表导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc56',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem114',
},
		{
	id: '849E0821-AFB9-4A49-AD8B-2497A1767DA0',
	name: 'menuitem137',
	text: '卡片导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '卡片导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc58',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem137',
},
		{
	id: 'B89B656A-1A3B-405C-A68A-11A00B8A82C3',
	name: 'menuitem136',
	text: '树导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '树导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc57',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem136',
},
		{
	id: '83D6446B-E7EA-441A-BCD8-CA899A1CABCA',
	name: 'menuitem138',
	text: '日历导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '日历导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc59',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem138',
},
		{
	id: '1FFAB658-E340-4241-AFBD-59D7AE3BEEDC',
	name: 'menuitem139',
	text: '时间轴导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '时间轴导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc60',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem139',
},
		{
	id: '9343B401-812F-42FD-84E7-9F4E6FCEA4E7',
	name: 'menuitem20',
	text: '数据关系分页',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据关系分页',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem20',
	items: [
		{
	id: '08BA9CCC-A45F-4A83-B417-12DBB5E811E9',
	name: 'menuitem117',
	text: '数据关系分页（上下关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据关系分页（上下关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc41',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem117',
},
		{
	id: 'D327CF2A-5C07-42C9-A3CB-888E351D763E',
	name: 'menuitem118',
	text: '数据关系分页（分页关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据关系分页（分页关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto337',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem118',
},
	],
},
		{
	id: '87867C4A-C906-4F81-A0AD-4BE4382A90C9',
	name: 'menuitem116',
	text: ' 数据关系栏',
	type: 'MENUITEM',
	counterid: '',
	tooltip: ' 数据关系栏',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto402',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem116',
},
	],
},
		{
	id: '6961C72B-870E-4AA8-92AC-B02AC10589EB',
	name: 'menuitem158',
	text: '面板类',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '面板类',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem158',
	items: [
		{
	id: '2A746CD2-296A-4E47-9F1D-A8C2EC646907',
	name: 'menuitem145',
	text: '选择视图面板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '选择视图面板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc64',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem145',
},
		{
	id: '4A39427C-1FBD-48F6-9DB5-238B11557E23',
	name: 'menuitem17',
	text: '向导面板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '向导面板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem17',
	items: [
		{
	id: 'F671CDB2-7082-4EC6-B6CE-E7520E35D7E8',
	name: 'menuitem134',
	text: '基础用法',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '基础用法',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc49',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem134',
},
		{
	id: '0B2E3654-A6D2-4315-BF6D-4761CC92822F',
	name: 'menuitem135',
	text: '状态属性',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '状态属性',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc51',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem135',
},
	],
},
		{
	id: 'CC5A4AC3-93D6-4C6B-99FF-53AFBF127654',
	name: 'menuitem121',
	text: '多编辑视图面板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '多编辑视图面板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem121',
	items: [
		{
	id: '1E78055A-E813-4EC7-8135-C1A99CA40E32',
	name: 'menuitem115',
	text: '多表单（行记录）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '多表单（行记录）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc36',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem115',
},
		{
	id: '26E89203-4A2B-457D-8C85-F8AEC34AF2CA',
	name: 'menuitem123',
	text: '多表单（上分页）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '多表单（上分页）',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc43',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem123',
},
	],
},
	],
},
		{
	id: '1E357C08-05A9-4F95-B020-C613BD869F01',
	name: 'menuitem119',
	text: '多数据类',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '多数据类',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem119',
	items: [
		{
	id: 'E6BAD2E5-4FFE-4E26-A6DE-58AF702131FC',
	name: 'menuitem13',
	text: '表格',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表格',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem13',
	items: [
		{
	id: '2CA328B0-B96D-452A-838B-E8FFB2EBE7F6',
	name: 'menuitem57',
	text: '禁用排序',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '禁用排序',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto176',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem57',
},
		{
	id: '74A388E2-B994-4062-A305-EB2F37EF8661',
	name: 'menuitem59',
	text: '行操作',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '行操作',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto286',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem59',
},
		{
	id: 'E1C07B09-B197-461E-8F4F-30B6E210A663',
	name: 'menuitem58',
	text: '行编辑',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '行编辑',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto124',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem58',
},
		{
	id: 'EAF13941-6973-40E6-AE6B-CD76A2777F8A',
	name: 'menuitem73',
	text: '内置功能',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '内置功能',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc2',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem73',
},
		{
	id: 'F20D57B2-D26B-4AD9-B50C-60C11C033368',
	name: 'menuitem74',
	text: '表格行编辑',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表格行编辑',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc3',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem74',
},
		{
	id: '15DC44DD-2FB1-4F84-9D57-969A480D2B94',
	name: 'menuitem75',
	text: '新建默认值',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '新建默认值',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc4',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem75',
},
		{
	id: '2B3A4565-3320-4074-8F64-46165751C162',
	name: 'menuitem76',
	text: '更新默认值',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '更新默认值',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc5',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem76',
},
		{
	id: 'E6540A92-64BD-4D21-9458-A1BE541CDAFE',
	name: 'menuitem77',
	text: '表格值规则',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表格值规则',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc6',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem77',
},
		{
	id: '347B3896-7CF2-4E08-91F6-B1C336FADF3D',
	name: 'menuitem132',
	text: '表格列更新',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表格列更新',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc54',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem132',
},
		{
	id: 'D41B52B0-11A7-4054-B2B9-54E0B152B353',
	name: 'menuitem133',
	text: '表格列重置',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表格列重置',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc55',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem133',
},
		{
	id: '61E5B9A6-C833-40DC-93C7-CE3C0EB4F3E6',
	name: 'menuitem78',
	text: '自动分组',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自动分组',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc7',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem78',
},
		{
	id: '0031AD21-987C-4A8B-BED8-6BEE77D87718',
	name: 'menuitem80',
	text: '代码表分组',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '代码表分组',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc8',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem80',
},
		{
	id: '08A98088-3C03-4584-92D8-EEF05A13AEC4',
	name: 'menuitem81',
	text: '当前页聚合',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '当前页聚合',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc9',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem81',
},
		{
	id: '7A1D29A5-C2F4-43E2-B59A-34FB68AB2C22',
	name: 'menuitem82',
	text: '远程聚合',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '远程聚合',
	expanded: false,
	separator: false,
	hidden: true,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc10',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem82',
},
	],
},
		{
	id: '3BBED394-026B-4D21-BFD9-76DE9260E724',
	name: 'menuitem83',
	text: '列表',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '列表',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem83',
	items: [
		{
	id: '6C19F92E-F96C-4E43-B976-B1C0F8034AA2',
	name: 'menuitem84',
	text: '内置功能',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '内置功能',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc11',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem84',
},
		{
	id: '5D38111F-2B2E-41E5-8937-310EB759E190',
	name: 'menuitem85',
	text: '自动分组',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自动分组',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc12',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem85',
},
		{
	id: '957B8FC1-FD75-43B6-BF01-4A8AAFA2D6AF',
	name: 'menuitem86',
	text: '代码表分组',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '代码表分组',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc13',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem86',
},
		{
	id: 'CA7B9952-FFA4-43BB-97A5-725FDFC11610',
	name: 'menuitem91',
	text: '项布局面板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '项布局面板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc17',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem91',
},
		{
	id: '8CB2DC35-855A-4803-8AAE-8AAEF7607BF7',
	name: 'menuitem143',
	text: '自定义插件',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自定义插件',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc65',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem143',
},
	],
},
		{
	id: '0E8CE134-D296-4139-8C3C-1654E332057D',
	name: 'menuitem95',
	text: '日历',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '日历',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem95',
	items: [
		{
	id: '90564F6F-FC41-468F-8004-632F7216527D',
	name: 'menuitem96',
	text: '内置功能',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '内置功能',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc20',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem96',
},
		{
	id: '888D978C-63C4-41F4-B588-E9F0796387B3',
	name: 'menuitem97',
	text: '时间轴样式',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '时间轴样式',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc21',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem97',
},
		{
	id: '8267F9E2-95E4-4D98-A1CD-17755C9C8770',
	name: 'menuitem109',
	text: '项布局面板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '项布局面板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc29',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem109',
},
		{
	id: '496E5B80-5D48-4A46-BBEF-7946B4CE9292',
	name: 'menuitem64',
	text: '自定义插件',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自定义插件',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc72',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem64',
},
	],
},
		{
	id: '32C90CED-13CA-4903-8DAC-A975077500C4',
	name: 'menuitem14',
	text: '树视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '树视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem14',
	items: [
		{
	id: 'FC11D833-E6A7-48C4-B01B-ED1BC47F2368',
	name: 'menuitem60',
	text: '静态节点',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '静态节点',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto375',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem60',
},
		{
	id: '4BF2EBAB-885A-48C6-BB26-4D64ED1E2FDB',
	name: 'menuitem61',
	text: '动态节点（代码表）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '动态节点（代码表）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto66',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem61',
},
		{
	id: '4E9DDCD9-DF1B-4D6B-8744-B62D48C90AB3',
	name: 'menuitem62',
	text: '动态节点（实体）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '动态节点（实体）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto96',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem62',
},
		{
	id: '57F3B402-9B45-4178-8F16-D128B73521F9',
	name: 'menuitem63',
	text: '右键操作',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '右键操作',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto235',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem63',
},
	],
},
		{
	id: '330223A9-0A15-4C75-8B20-88FF35E64C3E',
	name: 'menuitem111',
	text: '甘特图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '甘特图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc74',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem111',
},
		{
	id: '42B335D0-6A15-4E1F-A128-9C7DCEE4919F',
	name: 'menuitem110',
	text: '树表格',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '树表格',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc73',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem110',
},
		{
	id: '625549F1-3B45-48EB-B38B-E6A6D30ED45F',
	name: 'menuitem87',
	text: '数据视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem87',
	items: [
		{
	id: '0DFF1892-D135-411F-BEDC-81085E654495',
	name: 'menuitem88',
	text: '内置功能',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '内置功能',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc14',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem88',
},
		{
	id: 'BCA6D0F4-B095-4D1E-8DA7-4761CA2B76AE',
	name: 'menuitem89',
	text: '自动分组',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自动分组',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc15',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem89',
},
		{
	id: '83788FC2-A78B-4226-B973-AFFF40B7C270',
	name: 'menuitem90',
	text: '代码表分组',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '代码表分组',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc16',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem90',
},
		{
	id: 'B30ADCE1-C7CA-41DD-8842-D98BAF42D6F4',
	name: 'menuitem94',
	text: '项布局面板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '项布局面板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc19',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem94',
},
		{
	id: 'A8A7399E-31A3-46D5-8C5D-E064CD7DBA57',
	name: 'menuitem152',
	text: '自定义插件',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自定义插件',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc71',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem152',
},
	],
},
		{
	id: '75F01771-41CF-4144-9485-CF693A0E53EB',
	name: 'menuitem101',
	text: '看板视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '看板视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem101',
	items: [
		{
	id: 'F65414BF-FD3D-447A-BAE2-B7A67C4B677D',
	name: 'menuitem102',
	text: '内置功能',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '内置功能',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc25',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem102',
},
		{
	id: 'BE7FAC7C-468B-44AC-8C8D-1875CA36B541',
	name: 'menuitem104',
	text: '代码表分组',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '代码表分组',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc26',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem104',
},
		{
	id: '57B508D5-4F8E-473B-8289-60E4140D92CE',
	name: 'menuitem105',
	text: '项布局面板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '项布局面板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc27',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem105',
},
	],
},
		{
	id: '35E04178-5F72-4393-BB34-DC80E6F4A8F3',
	name: 'menuitem37',
	text: '数据图表',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据图表',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem37',
	items: [
		{
	id: 'D36BF535-4302-4505-9D02-10F8294B6563',
	name: 'menuitem38',
	text: '柱状图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '柱状图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto25',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem38',
},
		{
	id: '4078496F-713F-4D8E-BC32-0C3FC4B99A39',
	name: 'menuitem39',
	text: '折线图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '折线图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto387',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem39',
},
		{
	id: '6CDCD993-B2C9-4B60-BD43-126C7434D618',
	name: 'menuitem40',
	text: '饼图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '饼图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto320',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem40',
},
		{
	id: 'C6DD4120-C82E-4EF5-8A87-67BF8A275780',
	name: 'menuitem41',
	text: '区域图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '区域图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto3',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem41',
},
		{
	id: '643FEE92-1939-4E48-A40A-6BF417DAA664',
	name: 'menuitem42',
	text: '雷达图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '雷达图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto2',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem42',
},
	],
},
	],
},
	],
},
        {
	id: 'DC173C52-D381-43B1-8D29-55617CA06986',
	name: 'menuitem5',
	text: '视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-file-photo-o',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem5',
	items: [
		{
	id: '6F2028D3-21B9-4C5A-A705-2A97BD3C803A',
	name: 'menuitem140',
	text: '单数据视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '单数据视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem140',
	items: [
		{
	id: '27F57659-7A2B-4FB7-B4C5-7C2F1B830944',
	name: 'menuitem161',
	text: '实体向导视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体向导视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc49',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem161',
},
		{
	id: '36BA5B59-73DD-4739-9974-5B35EC83B4C7',
	name: 'menuitem8',
	text: '实体编辑视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体编辑视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc31',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem8',
},
		{
	id: '8DFBE342-6196-4308-AEB5-4EF9A01A8952',
	name: 'menuitem162',
	text: '实体编辑视图（分页关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体编辑视图（分页关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto337',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem162',
},
		{
	id: 'D6C62F3A-2B9A-4B32-832C-1AA7CCD6E0ED',
	name: 'menuitem163',
	text: '实体编辑视图（上下关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体编辑视图（上下关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc41',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem163',
},
		{
	id: '2B9930C0-54BA-4688-BCAA-87295DB440F5',
	name: 'menuitem164',
	text: '实体编辑视图（左右关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体编辑视图（左右关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto402',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem164',
},
		{
	id: 'BF4F91C6-E624-45CE-B59F-A65CBA0C4F98',
	name: 'menuitem165',
	text: '实体分页导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体分页导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto213',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem165',
},
		{
	id: 'FBFE3454-142D-40D6-A011-3B167AE8E7DD',
	name: 'menuitem166',
	text: '实体数据看板视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体数据看板视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc45',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem166',
},
		{
	id: '9E5D3DAC-F1EA-4162-AC0B-4C9420A0566D',
	name: 'menuitem167',
	text: '实体选项操作视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体选项操作视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc48',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem167',
},
	],
},
		{
	id: 'CD4F67C7-1EDA-4289-8FD8-ACD5456A5427',
	name: 'menuitem141',
	text: '多数据视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '多数据视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem141',
	items: [
		{
	id: 'B7D06879-72ED-4B5D-882C-0B14FF285974',
	name: 'menuitem79',
	text: '实体表格视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体表格视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto299',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem79',
},
		{
	id: '7CCD209A-1343-43FD-8E74-5FDBC4EA611F',
	name: 'menuitem168',
	text: '实体多表单编辑视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体多表单编辑视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc43',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem168',
},
		{
	id: 'A99AFC96-4650-4030-BFE5-BF8BBBDD6715',
	name: 'menuitem169',
	text: '实体甘特视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体甘特视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc74',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem169',
},
		{
	id: 'ACF9E53C-5FAD-4277-842B-F06ECEB16517',
	name: 'menuitem9',
	text: '实体列表视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体列表视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc90',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem9',
},
		{
	id: '9F87E329-B70B-47ED-9843-A96032848E92',
	name: 'menuitem170',
	text: '实体日历视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体日历视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc20',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem170',
},
		{
	id: '52AC0338-3AC2-41DE-A000-B0852D905564',
	name: 'menuitem171',
	text: '实体看板视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体看板视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc25',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem171',
},
		{
	id: '005D645F-296A-4694-8636-B00F536522DE',
	name: 'menuitem172',
	text: '实体树表格视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体树表格视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc73',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem172',
},
		{
	id: 'BD0DFDD9-7EA6-4815-998F-7E26FCF79B75',
	name: 'menuitem173',
	text: '实体树视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体树视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc91',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem173',
},
		{
	id: '4EC7FE31-7C0B-4778-9BFB-F0F7919FF471',
	name: 'menuitem174',
	text: '实体数据视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体数据视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc14',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem174',
},
		{
	id: 'A175E08D-7398-4949-95B6-08C26B66E08A',
	name: 'menuitem175',
	text: '实体图表视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体图表视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc35',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem175',
},
	],
},
		{
	id: 'A773CC76-3BF0-429F-8E81-35B9B9270F5A',
	name: 'menuitem10',
	text: '导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem10',
	items: [
		{
	id: '08EF6931-73E1-4C69-ADA4-86E12E2B1FEA',
	name: 'menuitem176',
	text: '实体表格导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体表格导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc46',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem176',
},
		{
	id: '5945230F-B404-4527-9981-C6B91D155F1F',
	name: 'menuitem177',
	text: '实体列表导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体列表导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc56',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem177',
},
		{
	id: 'F52B6E72-D7BB-41CC-9E7F-F27141CBCF74',
	name: 'menuitem178',
	text: '实体卡片导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体卡片导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc58',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem178',
},
		{
	id: '71D91D22-C838-413B-B95D-C3B6ACE04C66',
	name: 'menuitem179',
	text: '实体日历导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体日历导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc59',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem179',
},
		{
	id: 'D7664939-B346-4068-ADCA-0D9DD921E021',
	name: 'menuitem180',
	text: '实体树导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体树导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc57',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem180',
},
	],
},
		{
	id: '001B4B30-6DAB-4B87-894B-C661FEB21DAA',
	name: 'menuitem26',
	text: '选择视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '选择视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem26',
	items: [
		{
	id: '8D6FA493-F63D-4729-97E2-FA9761BF768A',
	name: 'menuitem18',
	text: '数据选择视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据选择视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc64',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem18',
},
		{
	id: '629E71CC-4A92-4BA3-89EE-A8F2D61A4B98',
	name: 'menuitem27',
	text: '索引选择视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '索引选择视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto296',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem27',
},
	],
},
		{
	id: 'B9A432FA-EC37-40B1-9A17-3B68997BC3CF',
	name: 'menuitem69',
	text: '工作流',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc85',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem69',
	items: [
		{
	id: 'A34D84F6-E76E-4808-ADF5-230FAE88D707',
	name: 'menuitem30',
	text: '工作流动态导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流动态导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc85',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem30',
},
		{
	id: 'D9ADA93C-9CD6-420F-9948-50536E8C6261',
	name: 'menuitem31',
	text: '工作流启动',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流启动',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc86',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem31',
},
		{
	id: '3CC6B5D5-E5BA-4439-B92C-D2C8FA41E519',
	name: 'menuitem21',
	text: '工作流动态操作视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流动态操作视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc94',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem21',
},
	],
},
		{
	id: '717CEABF-0428-431A-A251-E62F55F1C201',
	name: 'menuitem11',
	text: '其他视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '其他视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem11',
	items: [
		{
	id: '32675285-1D6D-43E8-BFFA-F458025361DF',
	name: 'menuitem98',
	text: '自定义视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自定义视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc22',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem98',
},
	],
},
	],
},
        {
	id: 'B2B31707-6437-4D17-BB51-5735CB9EE4D0',
	name: 'menuitem153',
	text: '逻辑',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '逻辑',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-skyatlas',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem153',
	items: [
		{
	id: '30D9318C-9370-41A8-B959-B53725C1C1E9',
	name: 'menuitem154',
	text: '应用功能',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '应用功能',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem154',
	items: [
		{
	id: 'BB92C803-6349-414F-A597-9E7923051724',
	name: 'menuitem127',
	text: '打开应用视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '打开应用视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc2',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem127',
},
		{
	id: '3886CBE6-9AE1-4D5F-9F76-A92077DF2C82',
	name: 'menuitem147',
	text: '打开HTML页面',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '打开HTML页面',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc75',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem147',
},
		{
	id: '49090CDC-0B5D-47E3-AE9B-F363735C09E0',
	name: 'menuitem160',
	text: '执行JavaScript',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '执行JavaScript',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc78',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem160',
},
	],
},
		{
	id: '307F2213-A09C-47D4-ACEF-553CC8F0EFE4',
	name: 'menuitem155',
	text: '界面行为',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '界面行为',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem155',
	items: [
		{
	id: '075955D4-F1BF-4AFF-BEB3-E45196B9E881',
	name: 'menuitem181',
	text: '前台界面行为',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '前台界面行为',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto67',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem181',
},
		{
	id: '0A117518-1805-4B76-99FC-123A4A42CE87',
	name: 'menuitem182',
	text: '后台界面行为',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '后台界面行为',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto39',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem182',
},
	],
},
	],
},
        {
	id: '58B9EFD0-94D2-4970-A945-C3B783716176',
	name: 'menuitem2',
	text: '更多',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '更多',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: 'fa fa-yelp',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem2',
	items: [
		{
	id: '5D8FED31-062F-4BF5-8AE5-A0FA35FCD461',
	name: 'menuitem19',
	text: '临时模式',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '临时模式',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc95',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem19',
},
		{
	id: 'FF97E4F3-123C-48A6-A173-06B2C74F440B',
	name: 'menuitem46',
	text: '数据导出导入',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据导出导入',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc88',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem46',
},
		{
	id: '822081BB-DEE4-4484-9811-AE14B60C6E82',
	name: 'menuitem67',
	text: '索引实体',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '索引实体',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto296',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem67',
},
		{
	id: '5E591180-61BE-4264-B204-B1D6888EAD41',
	name: 'menuitem184',
	text: '主状态',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '主状态',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem184',
	items: [
		{
	id: 'E5CCA675-3D1C-44A3-A192-E250F0B94DCF',
	name: 'menuitem70',
	text: '表格主状态',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表格主状态',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc79',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem70',
},
		{
	id: 'DDC4CA30-D5C3-4164-A505-7E4017CCF923',
	name: 'menuitem148',
	text: '列表主状态',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '列表主状态',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc80',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem148',
},
		{
	id: '74403E27-921C-472A-BDEB-020DE7649659',
	name: 'menuitem183',
	text: '数据主状态',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据主状态',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc81',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem183',
},
		{
	id: 'A9893C0D-29B6-42B2-A27C-D222CF103D67',
	name: 'menuitem28',
	text: '日历主状态',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '日历主状态',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc83',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem28',
},
		{
	id: '18E9D575-748D-4439-852A-B04EA5C149BF',
	name: 'menuitem29',
	text: '树主状态',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '树主状态',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc84',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem29',
},
	],
},
	],
},
        {
	id: '57DE133F-C978-4B44-B679-27BE20F9EC8C',
	name: 'menuitem22',
	text: '测试',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '测试',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem22',
	items: [
		{
	id: 'DA3DF4BC-95E4-4E6F-85C6-2EA696B1FFD5',
	name: 'menuitem23',
	text: '卡片导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '卡片导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc96',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem23',
},
		{
	id: '09E7C77A-B343-4985-9A20-5A6FB031C9BF',
	name: 'menuitem24',
	text: '表单嵌入卡片视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表单嵌入卡片视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc97',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem24',
},
		{
	id: '14A002BC-04AB-49B4-80D0-F351A9A94C67',
	name: 'menuitem25',
	text: '关系界面刷新主表单',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '关系界面刷新主表单',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc98',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem25',
},
	],
},
        {
	id: 'CF5E5C32-09D9-4D92-AE82-16972F6CF633',
	name: 'menuitem66',
	text: '视图布局面板测试',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '视图布局面板测试',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem66',
	items: [
		{
	id: 'B9085A1A-D745-4425-864F-5B6A2669F7EF',
	name: 'menuitem122',
	text: '表格视图面板',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '表格视图面板',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc99',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem122',
},
		{
	id: '3AD340AD-C53D-4EB2-AE3A-3B89DFAE64CF',
	name: 'menuitem125',
	text: '测试表单自定义布局多媒体',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '测试表单自定义布局多媒体',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc100',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem125',
},
		{
	id: '94D5BC0E-08DA-4896-8C0F-6E51067E59B8',
	name: 'menuitem126',
	text: '自定义导航',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自定义导航',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'UsrAppFunc1102681676',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem126',
},
		{
	id: 'D2B18AFF-DC3A-4343-A24E-784FC9B3ED83',
	name: 'menuitem130',
	text: '布局面板组件测试',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '布局面板组件测试',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc101',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem130',
},
		{
	id: '6A9A6773-E656-4486-A80B-F77A353C3A7A',
	name: 'menuitem131',
	text: '编辑视图（左右关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '编辑视图（左右关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'UsrAppFunc1103768001',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem131',
},
		{
	id: '55DD79C0-D1AF-4FF2-AB54-25D2D0927900',
	name: 'menuitem142',
	text: '列表视图（自定义面板）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '列表视图（自定义面板）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'UsrAppFunc1103202475',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem142',
},
		{
	id: 'F2BB4B79-50B4-4ADB-9736-7B9CCA8CAF8D',
	name: 'menuitem159',
	text: '卡片视图（布局面板）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '卡片视图（布局面板）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'UsrAppFunc1103793182',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem159',
},
		{
	id: '60CB6C67-5DAB-4061-AC56-0C54AF8F292F',
	name: 'menuitem185',
	text: '测试布局面板（树视图）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '测试布局面板（树视图）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'UsrAppFunc1103276204',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem185',
},
		{
	id: 'F19CBF34-9BE0-4DD9-9E6F-E27B78B50557',
	name: 'menuitem187',
	text: '测试布局面板（日历视图）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '测试布局面板（日历视图）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'UsrAppFunc1103578816',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem187',
},
		{
	id: 'B9BED019-3538-4153-B773-6E4A60160D50',
	name: 'menuitem188',
	text: '测试布局面板（图表）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '测试布局面板（图表）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'UsrAppFunc1104195725',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem188',
},
		{
	id: 'DA2F6B67-5562-4989-988D-E68C0C81C2D1',
	name: 'menuitem189',
	text: '测试布局面板（树导航）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '测试布局面板（树导航）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'UsrAppFunc1104869965',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem189',
},
		{
	id: '9BF0D956-BD5B-4FF1-A0E6-6428BD77628E',
	name: 'menuitem190',
	text: '视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem190',
	items: [
		{
	id: 'A843CF3F-CF74-4318-880B-AA45A6611984',
	name: 'menuitem191',
	text: '单数据视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '单数据视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem191',
	items: [
		{
	id: '6E3CDBD3-6130-4EF5-A4D7-D3A60F9FBFFB',
	name: 'menuitem192',
	text: '实体向导视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体向导视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc102',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem192',
},
		{
	id: '59E572FE-5555-4ADD-BE6C-05FB83DB584C',
	name: 'menuitem193',
	text: '实体编辑视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体编辑视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc103',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem193',
},
		{
	id: 'DB9F6B9F-1577-48BF-80B7-D9A235596F60',
	name: 'menuitem194',
	text: '实体编辑视图（分页关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体编辑视图（分页关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc104',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem194',
},
		{
	id: '8E1E7403-ED7E-46CF-A9B5-4ACEF512B019',
	name: 'menuitem195',
	text: '实体编辑视图（上下关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体编辑视图（上下关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc105',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem195',
},
		{
	id: '946B1881-0981-44AE-BF40-80A0D140B523',
	name: 'menuitem196',
	text: '实体编辑视图（左右关系）',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体编辑视图（左右关系）',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc106',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem196',
},
		{
	id: '6B7853F4-CB9C-4D73-801F-142F6347EC9A',
	name: 'menuitem197',
	text: '实体分页导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体分页导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc107',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem197',
},
		{
	id: '38D41599-0A76-42A4-932F-4F9317F820C8',
	name: 'menuitem198',
	text: '实体数据看板视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体数据看板视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc108',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem198',
},
		{
	id: '93075900-B742-471F-A46A-B3AA8553B5B3',
	name: 'menuitem199',
	text: '实体选项操作视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体选项操作视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc48',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem199',
},
	],
},
		{
	id: 'C86ED1AF-AC05-4E4F-A2F3-CC21272CC15D',
	name: 'menuitem200',
	text: '多数据视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '多数据视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem200',
	items: [
		{
	id: '2637BF74-B621-49B5-ABDA-FEC5D706F221',
	name: 'menuitem201',
	text: '实体表格视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体表格视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem201',
},
		{
	id: '2070FEF5-5425-4244-8995-0DEB0110B32D',
	name: 'menuitem202',
	text: '实体多表单编辑视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体多表单编辑视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc43',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem202',
},
		{
	id: '36896814-4045-4FF0-93EC-0B9538B25A25',
	name: 'menuitem203',
	text: '实体甘特视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体甘特视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc74',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem203',
},
		{
	id: '03C42F07-F66F-4110-8622-378DC2FD2CDD',
	name: 'menuitem204',
	text: '实体列表视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体列表视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc90',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem204',
},
		{
	id: '0BDA2DE7-69D9-47BC-AC0D-D5563B960CD7',
	name: 'menuitem205',
	text: '实体日历视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体日历视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc20',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem205',
},
		{
	id: '696A243F-6E10-4E5D-AD33-EB5A12DCFFD3',
	name: 'menuitem206',
	text: '实体看板视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体看板视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc25',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem206',
},
		{
	id: '23B6CEC7-4B84-43C5-A7EF-351EC2632494',
	name: 'menuitem207',
	text: '实体树表格视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体树表格视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc73',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem207',
},
		{
	id: 'F1201EE9-4C03-489D-8221-E25E8E3883A8',
	name: 'menuitem208',
	text: '实体树视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体树视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc91',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem208',
},
		{
	id: '7BE5FA38-E2D7-4E91-946E-D27D4AADEA23',
	name: 'menuitem209',
	text: '实体数据视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体数据视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc14',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem209',
},
		{
	id: 'B521301B-C4C7-452F-89AD-0C160E80C254',
	name: 'menuitem210',
	text: '实体图表视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体图表视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc35',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem210',
},
	],
},
		{
	id: '5900A592-2FC5-43F5-B5ED-29722F65B75A',
	name: 'menuitem211',
	text: '导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem211',
	items: [
		{
	id: '53DD2187-C68A-4654-826F-39BCB31A377B',
	name: 'menuitem215',
	text: '实体表格导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体表格导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc46',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem215',
},
		{
	id: '9C29294B-1902-499C-A2B4-C1ACD819796F',
	name: 'menuitem216',
	text: '实体列表导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体列表导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc56',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem216',
},
		{
	id: 'B183ED49-E86F-4EC9-9593-1C92C349AE76',
	name: 'menuitem217',
	text: '实体卡片导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体卡片导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc58',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem217',
},
		{
	id: 'C9AC8A76-DB57-4F6D-9D35-F6E3AB7CFE99',
	name: 'menuitem218',
	text: '实体日历导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体日历导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc59',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem218',
},
		{
	id: 'AA336A49-284F-4775-9D0A-6EE179D64E44',
	name: 'menuitem219',
	text: '实体树导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '实体树导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc57',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem219',
},
	],
},
		{
	id: '926532B2-D1E6-4A22-9AEA-3FCDFA459217',
	name: 'menuitem220',
	text: '选择视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '选择视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem220',
	items: [
		{
	id: '501E2680-5736-4382-8BA1-B0417D71BF85',
	name: 'menuitem221',
	text: '数据选择视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '数据选择视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc64',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem221',
},
		{
	id: '51687D3E-59DF-4EEB-A70B-E8F0041EE4C0',
	name: 'menuitem222',
	text: '索引选择视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '索引选择视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'Auto296',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem222',
},
	],
},
		{
	id: '909A3DC4-591C-4618-A304-6C8DFD386AFE',
	name: 'menuitem223',
	text: '工作流',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc85',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem223',
	items: [
		{
	id: '62B4E75C-0E13-4025-99BC-54A0CAA9D56F',
	name: 'menuitem224',
	text: '工作流动态导航视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流动态导航视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc85',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem224',
},
		{
	id: '649C729D-9BA7-416E-9176-4D81CF94389D',
	name: 'menuitem225',
	text: '工作流启动',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流启动',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc86',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem225',
},
		{
	id: 'AECE8113-98F5-4D6C-AD6D-235644A04BD7',
	name: 'menuitem226',
	text: '工作流动态操作视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '工作流动态操作视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc94',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem226',
},
	],
},
		{
	id: '460C7EAA-606C-44D8-94D2-14DDD0B459CC',
	name: 'menuitem227',
	text: '其他视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '其他视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: '',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem227',
	items: [
		{
	id: '7D8CBD1D-993E-4F41-BBFC-07A3AB767FA6',
	name: 'menuitem230',
	text: '自定义视图',
	type: 'MENUITEM',
	counterid: '',
	tooltip: '自定义视图',
	expanded: false,
	separator: false,
	hidden: false,
	hidesidebar: false,
	opendefault: false,
	iconcls: '',
	icon: '',
	textcls: '',
	appfunctag: 'AppFunc22',
	resourcetag: '',
	authtag:'Web-MainMenu-menuitem230',
},
	],
},
	],
},
	],
},
    ];

	/**
	 * 应用功能集合
	 *
	 * @public
	 * @type {any[]}
	 * @memberof MainMenuModel
	 */
	public funcs: any[] = [
        {
            appfunctag: 'AppFunc66',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'appportalview',
            deResParameters: [],
            routepath: '/index/:index?/appportalview/:appportalview?',
            parameters: [
                { pathName: 'appportalview', parameterName: 'appportalview' },
            ],
        },
        {
            appfunctag: 'Auto338',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0001sf4editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0001s/:ibizsample0001?/sf4editview/:sf4editview?',
            parameters: [
                { pathName: 'ibizsample0001s', parameterName: 'ibizsample0001' },
                { pathName: 'sf4editview', parameterName: 'sf4editview' },
            ],
        },
        {
            appfunctag: 'Auto222',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0001sf5editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0001s/:ibizsample0001?/sf5editview/:sf5editview?',
            parameters: [
                { pathName: 'ibizsample0001s', parameterName: 'ibizsample0001' },
                { pathName: 'sf5editview', parameterName: 'sf5editview' },
            ],
        },
        {
            appfunctag: 'AppFunc',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0001sf6editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0001s/:ibizsample0001?/sf6editview/:sf6editview?',
            parameters: [
                { pathName: 'ibizsample0001s', parameterName: 'ibizsample0001' },
                { pathName: 'sf6editview', parameterName: 'sf6editview' },
            ],
        },
        {
            appfunctag: 'AppFunc89',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'microcomponenteditview',
            deResParameters: [],
            routepath: '/index/:index?/microcomponents/:microcomponent?/editview/:editview?',
            parameters: [
                { pathName: 'microcomponents', parameterName: 'microcomponent' },
                { pathName: 'editview', parameterName: 'editview' },
            ],
        },
        {
            appfunctag: 'AppFunc70',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0001usr3editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0001s/:ibizsample0001?/usr3editview/:usr3editview?',
            parameters: [
                { pathName: 'ibizsample0001s', parameterName: 'ibizsample0001' },
                { pathName: 'usr3editview', parameterName: 'usr3editview' },
            ],
        },
        {
            appfunctag: 'AppFunc50',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderdashboardview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/dashboardview/:dashboardview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'dashboardview', parameterName: 'dashboardview' },
            ],
        },
        {
            appfunctag: 'AppFunc82',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'appportalview2',
            deResParameters: [],
            routepath: '/index/:index?/appportalview2/:appportalview2?',
            parameters: [
                { pathName: 'appportalview2', parameterName: 'appportalview2' },
            ],
        },
        {
            appfunctag: 'Auto393',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0001sf2editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0001s/:ibizsample0001?/sf2editview/:sf2editview?',
            parameters: [
                { pathName: 'ibizsample0001s', parameterName: 'ibizsample0001' },
                { pathName: 'sf2editview', parameterName: 'sf2editview' },
            ],
        },
        {
            appfunctag: 'AppFunc31',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookinterfunceditview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/interfunceditview/:interfunceditview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'interfunceditview', parameterName: 'interfunceditview' },
            ],
        },
        {
            appfunctag: 'Auto319',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf1editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf1editview/:sf1editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf1editview', parameterName: 'sf1editview' },
            ],
        },
        {
            appfunctag: 'AppFunc23',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderusr2editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/usr2editview/:usr2editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'usr2editview', parameterName: 'usr2editview' },
            ],
        },
        {
            appfunctag: 'Auto279',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf2editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf2editview/:sf2editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf2editview', parameterName: 'sf2editview' },
            ],
        },
        {
            appfunctag: 'Auto129',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf7editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf7editview/:sf7editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf7editview', parameterName: 'sf7editview' },
            ],
        },
        {
            appfunctag: 'Auto371',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf3editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf3editview/:sf3editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf3editview', parameterName: 'sf3editview' },
            ],
        },
        {
            appfunctag: 'Auto111',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf4editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf4editview/:sf4editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf4editview', parameterName: 'sf4editview' },
            ],
        },
        {
            appfunctag: 'Auto106',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderdetailsf1editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorderdetails/:ibizorderdetail?/sf1editview/:sf1editview?',
            parameters: [
                { pathName: 'ibizorderdetails', parameterName: 'ibizorderdetail' },
                { pathName: 'sf1editview', parameterName: 'sf1editview' },
            ],
        },
        {
            appfunctag: 'Auto155',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderf10editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/f10editview/:f10editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'f10editview', parameterName: 'f10editview' },
            ],
        },
        {
            appfunctag: 'Auto151',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderf8editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/f8editview/:f8editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'f8editview', parameterName: 'f8editview' },
            ],
        },
        {
            appfunctag: 'Auto81',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderf9editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/f9editview/:f9editview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'f9editview', parameterName: 'f9editview' },
            ],
        },
        {
            appfunctag: 'Auto114',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderdetailsf2editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorderdetails/:ibizorderdetail?/sf2editview/:sf2editview?',
            parameters: [
                { pathName: 'ibizorderdetails', parameterName: 'ibizorderdetail' },
                { pathName: 'sf2editview', parameterName: 'sf2editview' },
            ],
        },
        {
            appfunctag: 'AppFunc32',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookruleseditview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/ruleseditview/:ruleseditview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'ruleseditview', parameterName: 'ruleseditview' },
            ],
        },
        {
            appfunctag: 'Auto173',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf1gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf1gridview/:sf1gridview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf1gridview', parameterName: 'sf1gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc42',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordertabexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/tabexpview/:tabexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'tabexpview', parameterName: 'tabexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc46',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordergridexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/gridexpview/:gridexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'gridexpview', parameterName: 'gridexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc56',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderlistexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/listexpview/:listexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'listexpview', parameterName: 'listexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc58',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderdataviewexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/dataviewexpview/:dataviewexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'dataviewexpview', parameterName: 'dataviewexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc57',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordertreeexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/treeexpview/:treeexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'treeexpview', parameterName: 'treeexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc59',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordercalendarexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/calendarexpview/:calendarexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'calendarexpview', parameterName: 'calendarexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc60',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderusr2calendarexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/usr2calendarexpview/:usr2calendarexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'usr2calendarexpview', parameterName: 'usr2calendarexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc41',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderseditview4',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/seditview4/:seditview4?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'seditview4', parameterName: 'seditview4' },
            ],
        },
        {
            appfunctag: 'Auto337',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderseditview3',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/seditview3/:seditview3?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'seditview3', parameterName: 'seditview3' },
            ],
        },
        {
            appfunctag: 'Auto402',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderseditview2',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/seditview2/:seditview2?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'seditview2', parameterName: 'seditview2' },
            ],
        },
        {
            appfunctag: 'AppFunc64',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr2editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr2editview/:usr2editview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr2editview', parameterName: 'usr2editview' },
            ],
        },
        {
            appfunctag: 'AppFunc49',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookwizardview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/wizardview/:wizardview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'wizardview', parameterName: 'wizardview' },
            ],
        },
        {
            appfunctag: 'AppFunc51',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookwizardiwithstateview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/wizardiwithstateview/:wizardiwithstateview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'wizardiwithstateview', parameterName: 'wizardiwithstateview' },
            ],
        },
        {
            appfunctag: 'AppFunc36',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookmeditview9',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/meditview9/:meditview9?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'meditview9', parameterName: 'meditview9' },
            ],
        },
        {
            appfunctag: 'AppFunc43',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr2meditview9',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr2meditview9/:usr2meditview9?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr2meditview9', parameterName: 'usr2meditview9' },
            ],
        },
        {
            appfunctag: 'Auto176',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf3gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf3gridview/:sf3gridview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf3gridview', parameterName: 'sf3gridview' },
            ],
        },
        {
            appfunctag: 'Auto286',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf4gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf4gridview/:sf4gridview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf4gridview', parameterName: 'sf4gridview' },
            ],
        },
        {
            appfunctag: 'Auto124',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf20gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf20gridview/:sf20gridview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf20gridview', parameterName: 'sf20gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc2',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookinternalfuncgridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/internalfuncgridview/:internalfuncgridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'internalfuncgridview', parameterName: 'internalfuncgridview' },
            ],
        },
        {
            appfunctag: 'AppFunc3',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookroweditgridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/roweditgridview/:roweditgridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'roweditgridview', parameterName: 'roweditgridview' },
            ],
        },
        {
            appfunctag: 'AppFunc4',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbooknewdefaultvaluegridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/newdefaultvaluegridview/:newdefaultvaluegridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'newdefaultvaluegridview', parameterName: 'newdefaultvaluegridview' },
            ],
        },
        {
            appfunctag: 'AppFunc5',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookupdatedefaultgridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/updatedefaultgridview/:updatedefaultgridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'updatedefaultgridview', parameterName: 'updatedefaultgridview' },
            ],
        },
        {
            appfunctag: 'AppFunc6',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookvaluerulesgridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/valuerulesgridview/:valuerulesgridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'valuerulesgridview', parameterName: 'valuerulesgridview' },
            ],
        },
        {
            appfunctag: 'AppFunc54',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr7gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr7gridview/:usr7gridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr7gridview', parameterName: 'usr7gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc55',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr8gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr8gridview/:usr8gridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr8gridview', parameterName: 'usr8gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc7',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr2gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr2gridview/:usr2gridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr2gridview', parameterName: 'usr2gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc8',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr3gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr3gridview/:usr3gridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr3gridview', parameterName: 'usr3gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc9',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr4gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr4gridview/:usr4gridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr4gridview', parameterName: 'usr4gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc10',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr5gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr5gridview/:usr5gridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr5gridview', parameterName: 'usr5gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc11',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbooklistview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/listview/:listview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'listview', parameterName: 'listview' },
            ],
        },
        {
            appfunctag: 'AppFunc12',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookautogrouplistview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/autogrouplistview/:autogrouplistview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'autogrouplistview', parameterName: 'autogrouplistview' },
            ],
        },
        {
            appfunctag: 'AppFunc13',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookgroupbycodelistlistview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/groupbycodelistlistview/:groupbycodelistlistview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'groupbycodelistlistview', parameterName: 'groupbycodelistlistview' },
            ],
        },
        {
            appfunctag: 'AppFunc17',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookhaspanellistview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/haspanellistview/:haspanellistview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'haspanellistview', parameterName: 'haspanellistview' },
            ],
        },
        {
            appfunctag: 'AppFunc65',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr2listview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr2listview/:usr2listview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr2listview', parameterName: 'usr2listview' },
            ],
        },
        {
            appfunctag: 'AppFunc20',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookcalendarview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/calendarview/:calendarview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'calendarview', parameterName: 'calendarview' },
            ],
        },
        {
            appfunctag: 'AppFunc21',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr2calendarview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr2calendarview/:usr2calendarview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr2calendarview', parameterName: 'usr2calendarview' },
            ],
        },
        {
            appfunctag: 'AppFunc29',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr3calendarview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr3calendarview/:usr3calendarview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr3calendarview', parameterName: 'usr3calendarview' },
            ],
        },
        {
            appfunctag: 'AppFunc72',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr4calendarview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr4calendarview/:usr4calendarview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr4calendarview', parameterName: 'usr4calendarview' },
            ],
        },
        {
            appfunctag: 'Auto375',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0003f1treeexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0003s/:ibizsample0003?/f1treeexpview/:f1treeexpview?',
            parameters: [
                { pathName: 'ibizsample0003s', parameterName: 'ibizsample0003' },
                { pathName: 'f1treeexpview', parameterName: 'f1treeexpview' },
            ],
        },
        {
            appfunctag: 'Auto66',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0003f2treeexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0003s/:ibizsample0003?/f2treeexpview/:f2treeexpview?',
            parameters: [
                { pathName: 'ibizsample0003s', parameterName: 'ibizsample0003' },
                { pathName: 'f2treeexpview', parameterName: 'f2treeexpview' },
            ],
        },
        {
            appfunctag: 'Auto96',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0003f3treeexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0003s/:ibizsample0003?/f3treeexpview/:f3treeexpview?',
            parameters: [
                { pathName: 'ibizsample0003s', parameterName: 'ibizsample0003' },
                { pathName: 'f3treeexpview', parameterName: 'f3treeexpview' },
            ],
        },
        {
            appfunctag: 'Auto235',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0003f4treeexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0003s/:ibizsample0003?/f4treeexpview/:f4treeexpview?',
            parameters: [
                { pathName: 'ibizsample0003s', parameterName: 'ibizsample0003' },
                { pathName: 'f4treeexpview', parameterName: 'f4treeexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc74',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderganttview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/ganttview/:ganttview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'ganttview', parameterName: 'ganttview' },
            ],
        },
        {
            appfunctag: 'AppFunc73',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordertreegridexview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/treegridexview/:treegridexview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'treegridexview', parameterName: 'treegridexview' },
            ],
        },
        {
            appfunctag: 'AppFunc14',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookdataview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/dataview/:dataview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'dataview', parameterName: 'dataview' },
            ],
        },
        {
            appfunctag: 'AppFunc15',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr2dataview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr2dataview/:usr2dataview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr2dataview', parameterName: 'usr2dataview' },
            ],
        },
        {
            appfunctag: 'AppFunc16',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr3dataview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr3dataview/:usr3dataview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr3dataview', parameterName: 'usr3dataview' },
            ],
        },
        {
            appfunctag: 'AppFunc19',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr4dataview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr4dataview/:usr4dataview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr4dataview', parameterName: 'usr4dataview' },
            ],
        },
        {
            appfunctag: 'AppFunc71',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr5dataview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr5dataview/:usr5dataview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr5dataview', parameterName: 'usr5dataview' },
            ],
        },
        {
            appfunctag: 'AppFunc25',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookinterfunckanbanview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/interfunckanbanview/:interfunckanbanview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'interfunckanbanview', parameterName: 'interfunckanbanview' },
            ],
        },
        {
            appfunctag: 'AppFunc26',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookgroupbycodelistkanbanview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/groupbycodelistkanbanview/:groupbycodelistkanbanview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'groupbycodelistkanbanview', parameterName: 'groupbycodelistkanbanview' },
            ],
        },
        {
            appfunctag: 'AppFunc27',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookhaspanelkanbanview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/haspanelkanbanview/:haspanelkanbanview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'haspanelkanbanview', parameterName: 'haspanelkanbanview' },
            ],
        },
        {
            appfunctag: 'Auto25',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderbarchartview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/barchartview/:barchartview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'barchartview', parameterName: 'barchartview' },
            ],
        },
        {
            appfunctag: 'Auto387',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderlinechartview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/linechartview/:linechartview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'linechartview', parameterName: 'linechartview' },
            ],
        },
        {
            appfunctag: 'Auto320',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderpiechartview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/piechartview/:piechartview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'piechartview', parameterName: 'piechartview' },
            ],
        },
        {
            appfunctag: 'Auto3',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderareachartview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/areachartview/:areachartview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'areachartview', parameterName: 'areachartview' },
            ],
        },
        {
            appfunctag: 'Auto2',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderradarchartview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/radarchartview/:radarchartview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'radarchartview', parameterName: 'radarchartview' },
            ],
        },
        {
            appfunctag: 'Auto213',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0003stabexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0003s/:ibizsample0003?/stabexpview/:stabexpview?',
            parameters: [
                { pathName: 'ibizsample0003s', parameterName: 'ibizsample0003' },
                { pathName: 'stabexpview', parameterName: 'stabexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc45',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookdashboardview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/dashboardview/:dashboardview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'dashboardview', parameterName: 'dashboardview' },
            ],
        },
        {
            appfunctag: 'AppFunc48',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr6gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr6gridview/:usr6gridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr6gridview', parameterName: 'usr6gridview' },
            ],
        },
        {
            appfunctag: 'Auto299',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersgridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sgridview/:sgridview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sgridview', parameterName: 'sgridview' },
            ],
        },
        {
            appfunctag: 'AppFunc90',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr4listview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr4listview/:usr4listview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr4listview', parameterName: 'usr4listview' },
            ],
        },
        {
            appfunctag: 'AppFunc91',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr2treeview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr2treeview/:usr2treeview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr2treeview', parameterName: 'usr2treeview' },
            ],
        },
        {
            appfunctag: 'AppFunc35',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderusr2chartview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/usr2chartview/:usr2chartview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'usr2chartview', parameterName: 'usr2chartview' },
            ],
        },
        {
            appfunctag: 'Auto296',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizuniproductsgridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizuniproducts/:ibizuniproduct?/sgridview/:sgridview?',
            parameters: [
                { pathName: 'ibizuniproducts', parameterName: 'ibizuniproduct' },
                { pathName: 'sgridview', parameterName: 'sgridview' },
            ],
        },
        {
            appfunctag: 'AppFunc85',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0021wfdynaexpgridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0021s/:ibizsample0021?/wfdynaexpgridview/:wfdynaexpgridview?',
            parameters: [
                { pathName: 'ibizsample0021s', parameterName: 'ibizsample0021' },
                { pathName: 'wfdynaexpgridview', parameterName: 'wfdynaexpgridview' },
            ],
        },
        {
            appfunctag: 'AppFunc86',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0021gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0021s/:ibizsample0021?/gridview/:gridview?',
            parameters: [
                { pathName: 'ibizsample0021s', parameterName: 'ibizsample0021' },
                { pathName: 'gridview', parameterName: 'gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc94',
            appfuncyype: 'APPVIEW',
            openmode: 'POPUPMODAL',
            codename: 'ibizsample0021wfdynaactionview',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0021s/:ibizsample0021?/wfdynaactionview/:wfdynaactionview?',
            parameters: [
                { pathName: 'ibizsample0021s', parameterName: 'ibizsample0021' },
                { pathName: 'wfdynaactionview', parameterName: 'wfdynaactionview' },
            ],
        },
        {
            appfunctag: 'AppFunc22',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookcustomview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/customview/:customview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'customview', parameterName: 'customview' },
            ],
        },
        {
            appfunctag: 'AppFunc75',
            appfuncyype: 'OPENHTMLPAGE',
        },
        {
            appfunctag: 'AppFunc78',
            appfuncyype: 'JAVASCRIPT',
        },
        {
            appfunctag: 'Auto67',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf5gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf5gridview/:sf5gridview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf5gridview', parameterName: 'sf5gridview' },
            ],
        },
        {
            appfunctag: 'Auto39',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordersf6gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/sf6gridview/:sf6gridview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'sf6gridview', parameterName: 'sf6gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc95',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibiztaskusr2editview',
            deResParameters: [],
            routepath: '/index/:index?/ibiztasks/:ibiztask?/usr2editview/:usr2editview?',
            parameters: [
                { pathName: 'ibiztasks', parameterName: 'ibiztask' },
                { pathName: 'usr2editview', parameterName: 'usr2editview' },
            ],
        },
        {
            appfunctag: 'AppFunc88',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookexportandimportgridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/exportandimportgridview/:exportandimportgridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'exportandimportgridview', parameterName: 'exportandimportgridview' },
            ],
        },
        {
            appfunctag: 'AppFunc79',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr9gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr9gridview/:usr9gridview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr9gridview', parameterName: 'usr9gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc80',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr3listview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr3listview/:usr3listview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr3listview', parameterName: 'usr3listview' },
            ],
        },
        {
            appfunctag: 'AppFunc81',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr6dataview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr6dataview/:usr6dataview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr6dataview', parameterName: 'usr6dataview' },
            ],
        },
        {
            appfunctag: 'AppFunc83',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr5calendarview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr5calendarview/:usr5calendarview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr5calendarview', parameterName: 'usr5calendarview' },
            ],
        },
        {
            appfunctag: 'AppFunc84',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbooktreeview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/treeview/:treeview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'treeview', parameterName: 'treeview' },
            ],
        },
        {
            appfunctag: 'AppFunc96',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookdataviewexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/dataviewexpview/:dataviewexpview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'dataviewexpview', parameterName: 'dataviewexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc97',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookusr4editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/usr4editview/:usr4editview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'usr4editview', parameterName: 'usr4editview' },
            ],
        },
        {
            appfunctag: 'AppFunc98',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderdetailusr3editview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorderdetails/:ibizorderdetail?/usr3editview/:usr3editview?',
            parameters: [
                { pathName: 'ibizorderdetails', parameterName: 'ibizorderdetail' },
                { pathName: 'usr3editview', parameterName: 'usr3editview' },
            ],
        },
        {
            appfunctag: 'AppFunc99',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderusr2gridview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/usr2gridview/:usr2gridview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'usr2gridview', parameterName: 'usr2gridview' },
            ],
        },
        {
            appfunctag: 'AppFunc100',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizcustomermediatesteditview',
            deResParameters: [],
            routepath: '/index/:index?/ibizcustomers/:ibizcustomer?/mediatesteditview/:mediatesteditview?',
            parameters: [
                { pathName: 'ibizcustomers', parameterName: 'ibizcustomer' },
                { pathName: 'mediatesteditview', parameterName: 'mediatesteditview' },
            ],
        },
        {
            appfunctag: 'UsrAppFunc1102681676',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordertestcustomlayoutpanelgridexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/testcustomlayoutpanelgridexpview/:testcustomlayoutpanelgridexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'testcustomlayoutpanelgridexpview', parameterName: 'testcustomlayoutpanelgridexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc101',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'appindexview',
            deResParameters: [],
            routepath: '/index/:index?/appindexview/:appindexview?',
            parameters: [
                { pathName: 'appindexview', parameterName: 'appindexview' },
            ],
        },
        {
            appfunctag: 'UsrAppFunc1103768001',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordertestcleditview2',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/testcleditview2/:testcleditview2?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'testcleditview2', parameterName: 'testcleditview2' },
            ],
        },
        {
            appfunctag: 'UsrAppFunc1103202475',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbooktestcllistview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/testcllistview/:testcllistview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'testcllistview', parameterName: 'testcllistview' },
            ],
        },
        {
            appfunctag: 'UsrAppFunc1103793182',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbooktestcldataview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/testcldataview/:testcldataview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'testcldataview', parameterName: 'testcldataview' },
            ],
        },
        {
            appfunctag: 'UsrAppFunc1103276204',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbooktestcltreeview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/testcltreeview/:testcltreeview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'testcltreeview', parameterName: 'testcltreeview' },
            ],
        },
        {
            appfunctag: 'UsrAppFunc1103578816',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbooktestclcalendarview',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/testclcalendarview/:testclcalendarview?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'testclcalendarview', parameterName: 'testclcalendarview' },
            ],
        },
        {
            appfunctag: 'UsrAppFunc1104195725',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordertestclchartview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/testclchartview/:testclchartview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'testclchartview', parameterName: 'testclchartview' },
            ],
        },
        {
            appfunctag: 'UsrAppFunc1104869965',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizordertestcltreeexpview',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/testcltreeexpview/:testcltreeexpview?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'testcltreeexpview', parameterName: 'testcltreeexpview' },
            ],
        },
        {
            appfunctag: 'AppFunc102',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookwizardview_layout',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/wizardview_layout/:wizardview_layout?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'wizardview_layout', parameterName: 'wizardview_layout' },
            ],
        },
        {
            appfunctag: 'AppFunc103',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookinterfunceditview_layout',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/interfunceditview_layout/:interfunceditview_layout?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'interfunceditview_layout', parameterName: 'interfunceditview_layout' },
            ],
        },
        {
            appfunctag: 'AppFunc104',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderseditview3_layout',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/seditview3_layout/:seditview3_layout?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'seditview3_layout', parameterName: 'seditview3_layout' },
            ],
        },
        {
            appfunctag: 'AppFunc105',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderseditview4_layout',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/seditview4_layout/:seditview4_layout?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'seditview4_layout', parameterName: 'seditview4_layout' },
            ],
        },
        {
            appfunctag: 'AppFunc106',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizorderseditview2_layout',
            deResParameters: [],
            routepath: '/index/:index?/ibizorders/:ibizorder?/seditview2_layout/:seditview2_layout?',
            parameters: [
                { pathName: 'ibizorders', parameterName: 'ibizorder' },
                { pathName: 'seditview2_layout', parameterName: 'seditview2_layout' },
            ],
        },
        {
            appfunctag: 'AppFunc107',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizsample0003stabexpview_layout',
            deResParameters: [],
            routepath: '/index/:index?/ibizsample0003s/:ibizsample0003?/stabexpview_layout/:stabexpview_layout?',
            parameters: [
                { pathName: 'ibizsample0003s', parameterName: 'ibizsample0003' },
                { pathName: 'stabexpview_layout', parameterName: 'stabexpview_layout' },
            ],
        },
        {
            appfunctag: 'AppFunc108',
            appfuncyype: 'APPVIEW',
            openmode: '',
            codename: 'ibizbookdashboardview_layout',
            deResParameters: [],
            routepath: '/index/:index?/ibizbooks/:ibizbook?/dashboardview_layout/:dashboardview_layout?',
            parameters: [
                { pathName: 'ibizbooks', parameterName: 'ibizbook' },
                { pathName: 'dashboardview_layout', parameterName: 'dashboardview_layout' },
            ],
        },
	];

    /**
     * 获取所有菜单项集合
     *
     * @returns {any[]}
     * @memberof MainMenuModel
     */
    public getAppMenuItems(): any[] {
        return this.items;
    }

    /**
     * 获取所有应用功能集合
     *
     * @returns {any[]}
     * @memberof MainMenuModel
     */
    public getAppFuncs(): any[] {
        return this.funcs;
    }
}